# Generated by Django 3.2.4 on 2022-03-16 11:02

import aptiva_api.models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('city_name', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country_name', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='CreateDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date_time', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['create_date_time'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='UpdateDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('update_date_time', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['update_date_time'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Skills',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Qualification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('degree', models.CharField(blank=True, max_length=1000, null=True)),
                ('specialization', models.CharField(blank=True, max_length=1000, null=True)),
                ('institute', models.CharField(blank=True, max_length=1000, null=True)),
                ('university', models.CharField(blank=True, max_length=1000, null=True)),
                ('year_of_passing', models.DateField(blank=True, null=True)),
                ('percentage', models.CharField(blank=True, max_length=100, null=True)),
                ('time_period', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Industry',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('industry_type', models.CharField(blank=True, max_length=1000, null=True)),
                ('founded_in', models.CharField(blank=True, max_length=1000, null=True)),
                ('company_size', models.CharField(blank=True, max_length=1000, null=True)),
                ('address', models.TextField(blank=True, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('city', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.city')),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.country')),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Experience',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_title', models.CharField(blank=True, max_length=1000, null=True)),
                ('company', models.CharField(blank=True, max_length=1000, null=True)),
                ('time_period', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.AddField(
            model_name='country',
            name='create_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail'),
        ),
        migrations.AddField(
            model_name='country',
            name='update_by',
            field=models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail'),
        ),
        migrations.AddField(
            model_name='city',
            name='country',
            field=models.OneToOneField(blank=True, on_delete=django.db.models.deletion.CASCADE, to='aptiva_api.country'),
        ),
        migrations.AddField(
            model_name='city',
            name='create_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail'),
        ),
        migrations.AddField(
            model_name='city',
            name='update_by',
            field=models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail'),
        ),
        migrations.CreateModel(
            name='ApplicantStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status_title', models.CharField(blank=True, max_length=100, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Applicant',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=1000, null=True)),
                ('resume', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_resume)),
                ('photo', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_image)),
                ('cover_photo', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_image)),
                ('gender', models.CharField(blank=True, choices=[('Male', 'Male'), ('Female', 'Female'), ('Others', 'Others')], max_length=10, null=True)),
                ('current_location', models.TextField(blank=True, max_length=200, null=True)),
                ('date_of_birth', models.DateField(blank=True, null=True)),
                ('register_date', models.DateField(auto_now_add=True, null=True)),
                ('marital_status', models.CharField(blank=True, choices=[('Single', 'Single'), ('Married', 'Married'), ('Other', 'Other')], max_length=10, null=True)),
                ('address', models.TextField(blank=True, max_length=400, null=True)),
                ('about', models.TextField(blank=True, null=True)),
                ('contact_no', models.CharField(blank=True, max_length=17)),
                ('is_active', models.BooleanField(default=False)),
                ('facebook_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('twitter_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('instagram_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('linkendin_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('github_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('gitlab_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('google_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('link1', models.CharField(blank=True, max_length=1000, null=True)),
                ('link2', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('experience', models.ManyToManyField(blank=True, to='aptiva_api.Experience')),
                ('qualification', models.ManyToManyField(blank=True, to='aptiva_api.Qualification')),
                ('status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.applicantstatus')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Admin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('phone_no', models.CharField(blank=True, max_length=17, validators=[django.core.validators.RegexValidator(message="Phone number format: '+999999999'. Up to 15 digits allowed.", regex='^\\+?1?\\d{9,15}$')])),
                ('location', models.CharField(blank=True, max_length=100, null=True)),
                ('company', models.CharField(blank=True, max_length=1000, null=True)),
                ('resume', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_resume)),
                ('photo', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_image)),
                ('cover_photo', models.FileField(blank=True, null=True, upload_to=aptiva_api.models.upload_image)),
                ('gender', models.CharField(blank=True, choices=[('Male', 'Male'), ('Female', 'Female'), ('Others', 'Others')], max_length=10, null=True)),
                ('current_location', models.TextField(blank=True, max_length=200, null=True)),
                ('date_of_birth', models.DateField(blank=True, null=True)),
                ('register_date', models.DateField(auto_now_add=True, null=True)),
                ('marital_status', models.CharField(blank=True, choices=[('Single', 'Single'), ('Married', 'Married'), ('Other', 'Other')], max_length=10, null=True)),
                ('address', models.TextField(blank=True, max_length=400, null=True)),
                ('about', models.TextField(blank=True, null=True)),
                ('contact_no', models.CharField(blank=True, max_length=17)),
                ('is_active', models.BooleanField(default=False)),
                ('facebook_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('twitter_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('instagram_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('linkendin_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('github_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('gitlab_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('google_link', models.CharField(blank=True, max_length=1000, null=True)),
                ('link1', models.CharField(blank=True, max_length=1000, null=True)),
                ('link2', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.createdetail')),
                ('experience', models.ManyToManyField(blank=True, to='aptiva_api.Experience')),
                ('industry', models.ManyToManyField(blank=True, to='aptiva_api.Industry')),
                ('qualification', models.ManyToManyField(blank=True, to='aptiva_api.Qualification')),
                ('update_by', models.ManyToManyField(blank=True, to='aptiva_api.UpdateDetail')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
    ]
